body {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
}

input::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #b7b7b7 !important;
  opacity: 1 !important;
  /* Firefox */
}

#sidebarCollapse {
  cursor: pointer;
}

.nofocus {
  outline: 0;
  box-shadow: 0 0 0 0rem rgba(0, 123, 255, 0) !important;
}

input:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #b7b7b7 !important;
}

input::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #b7b7b7 !important;
}

.full-height {
  height: 100vh !important;
}

.color-white {
  color: #FFFFFF;
}

a,
a:hover,
a:focus {
  text-decoration: none;
}

label {
  font-family: 'Poppins';
  color: #727272;
  font-size: 12px;
  margin-bottom: 0px !important;
  font-weight: 400;
}

table thead tr {
  background-color: #EAEEFA;
}

th {
  font-family: 'Poppins';
  color: #333333;
  font-size: 16px;
  font-weight: 600;
}

td {
  font-family: 'Poppins';
  color: #333333;
  font-size: 14px;
}

.modal-title {
  font-family: 'Poppins';
  color: #333333;
  font-size: 20px;
  font-weight: 600;
}

.modal-footer .btn-secondary,
.modal-footer .btn-primary {
  font-family: 'Poppins';
  font-weight: 500;
  font-size: 14px;
}

.btn-primary {
  font-family: 'Poppins';
  background-color: #0C6CD4 !important;
  font-size: 14px;
  font-weight: 500;
}

.btn-transparent {
  background-color: transparent !important;
  border: 1px solid #333333;
}

.btn-transparent:hover,
.btn-transparent:focus {
  border: 1px solid #333333;
}

.btn-transparent>svg {
  color: #333333 !important;
}

.wrapper {
  display: flex;
  align-items: stretch;
}

.content-main-body .container {
  width: 100% !important;
  max-width: 100% !important;
  margin: 0;
}

#content {
  /* width: 100%; */
  width: calc(100% - 250px);
  min-height: 100vh;
  position: absolute;
  top: 0;
  right: 0;
  transition: all 0.3s;
}

#content.active {
  width: calc(100% - 80px);
}

.content-main-body {
  padding: 20px;
}

.form-control {
  font-family: 'Poppins';
  font-size: 16px;
  color: #333333;
}

.login-page-bg {
  background-color: #0C6CD4;
}

.login-wrapper {
  background-color: #FFFFFF;
  border-radius: 25px;
  border: 1px solid #FFFFFF;
}

.login-right-section {
  background-color: #EAEEFA;
  border-bottom-right-radius: 25px;
  border-top-right-radius: 25px;
  border: 1px solid#EAEEFA;
}

.login-law-illustration>img {
  width: 250px;
}

.login-brand-title {
  font-family: 'Poppins';
  font-weight: 700;
  font-size: 18px;
}

.login-greetings {
  font-family: 'Poppins';
  font-size: 30px;
  font-weight: 800;
}

.login-form-block {
  width: 90%;
}

.custom-btn-primary,
.custom-btn-primary:hover,
.custom-btn-primary:focus {
  color: #ffffff;
  background-color: #0C6CD4;
  border-color: #0C6CD4;
  font-family: 'Poppins';
  font-size: 16px;
  font-weight: 600;
}

.login-forgot-password {
  display: flex;
  justify-content: flex-end;
  flex-direction: row;
}

.login-forgot-password-link {
  font-family: 'Poppins';
  font-size: 16px;
  color: #0C6CD4;
}

.alert {
  font-family: 'Poppins';
  font-size: 10px;
  padding: .75rem 1rem .50rem 0rem;
  font-weight: 500;
}

.alert ul {
  padding-left: 36px;
  margin-bottom: 0px;
}

#sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  z-index: 999;
  min-width: 250px;
  max-width: 250px;
  background: #0C6CD4;
  color: #fff;
  transition: all 0.3s;
}

#sidebar.active {
  min-width: 80px;
  max-width: 80px;
  text-align: center;
}

.sidebar-list {
  width: 100%;
  height: calc(100vh - 155px);
  overflow-y: auto;
  padding-bottom: 20px;
}

/* Scrollbar Style  starts */
/* width */
.sidebar-list::-webkit-scrollbar {
  width: 12px;
}

/* Track */
.sidebar-list::-webkit-scrollbar-track {
  /* box-shadow: inset 0 0 5px #ccc; */
  background-color: #0C6CD4;
  border-radius: 8px;
}

/* Handle */
.sidebar-list::-webkit-scrollbar-thumb {
  background: #0A56AA;
  border-radius: 8px;
}

/* Handle on hover */
.sidebar-list::-webkit-scrollbar-thumb:hover {
  background: #0A56AA;
}

/* Scrollbar Style ends */

#sidebar.active ul li a span {
  display: none;
}

.main-sidebar {
  border-bottom-right-radius: 35px;
  border-top-right-radius: 35px;
}

.sidebar-header {
  display: flex;
  font-family: 'Poppins';
  font-weight: 700;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-top-right-radius: 35px;
  border-bottom: 1px solid #FFFFFF;
}

#sidebar .sidebar-header h3 {
  font-family: 'Poppins';
  font-weight: 700;
  font-size: 18px;
  padding-top: 10px;
  margin-bottom: 0px;
}

#sidebar.active .sidebar-header h3,
#sidebar.active .sidebar-header img,
#sidebar.active .CTAs {
  display: none;
}

#sidebar.active .sidebar-header strong {
  display: block;
}

#sidebar .sidebar-header img {
  width: 55px;
  text-align: center;
}

#sidebar ul li a {
  font-family: 'Poppins';
  font-size: 16px;
  text-align: left;
  display: block;
  color: #fff;
  padding: 10px;
}

#sidebar.active ul li a {
  font-family: 'Poppins';
  padding: 20px 10px;
  text-align: center;
  font-size: 0.85em;
}

#sidebar.active ul li a i {
  margin-right: 0;
  display: block;
  font-size: 1.8em;
  margin-bottom: 5px;
}

#sidebar.active ul ul a {
  padding: 10px !important;
}

#sidebar.active .dropdown-toggle::after {
  top: auto;
  bottom: 10px;
  right: 50%;
  -webkit-transform: translateX(50%);
  -ms-transform: translateX(50%);
  transform: translateX(50%);
}

#sidebar .sidebar-header {
  padding: 20px;
  background: #0C6CD4;
}

#sidebar .sidebar-header strong {
  display: none;
  font-size: 1.8em;
}

#sidebar ul.components {
  padding: 20px 0;
  /* border-bottom: 1px solid #47748b; */
}

#sidebar ul li a:hover {
  color: #0C6CD4;
  background: #fff;
}

#sidebar ul li a i {
  margin-right: 10px;
}

.bg-color-white {
  background: #FFFFFF !important;
}

.user_avatar {
  width: 55px;
  padding-right: 30px
}

#sidebar ul li.active>a,
a[aria-expanded="true"] {
  color: #fff;
  background: #0A56AA;
}

a[data-toggle="collapse"] {
  position: relative;
}

.case_table_row_heading {
  font-family: 'Poppins';
  font-size: 1.0em;
  font-weight: 600;
}

.border-none {
  border: none !important;
  padding: 0.75rem 0rem 0.20rem !important
}

.no-hover:hover {
  background-color: transparent !important;
}

.navbar-nav .dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

.navbar-nav .hide-after-caret::after {
  display: none;
}

ul ul a {
  font-family: 'Poppins';
  font-size: 0.9em !important;
  padding-left: 30px !important;
  background: #0C6CD4;
}

ul.CTAs {
  padding: 20px;
}

ul.CTAs a {
  text-align: center;
  font-size: 0.9em !important;
  display: block;
  border-radius: 5px;
  margin-bottom: 5px;
}

a.download {
  background: #fff;
  color: #7386D5;
}

a.article,
a.article:hover {
  background: #6d7fcc !important;
  color: #fff !important;
}

.bg-white {
  background-color: #FFFFFF !important;
  border-bottom: 1px solid #edeff2;
  /* #f8f9fa */
}

.fa-align-left {
  cursor: pointer;
  font-size: 22px;
}

#sidebar .sidebar-header strong {
  font-family: 'Poppins';
  font-weight: 700;
  font-size: 24px !important;
}

.page-heading {
  font-family: 'Poppins';
  font-weight: 600;
  font-size: 24px;
  color: #333333;
}

.btn.disabled,
.btn:disabled {
  cursor: not-allowed;
}

.invoice-subtotal {
  font-family: 'Poppins';
  font-weight: 600;
  font-size: 16px;
  color: #333333;
}

.invoice-total {
  font-family: 'Poppins';
  font-weight: 600;
  font-size: 18px;
  color: #333333;
}

.select-cases-heading {
  font-family: 'Poppins';
  font-weight: 600;
  font-size: 18px;
  color: #333333;
}

.invoice-number {
  font-family: 'Poppins';
  font-weight: 600;
  font-size: 24px;
  color: #333333;
}

.intend-right {
  float: right;
}

.btn-primary {
  color: #fff;
  background-color: #0C6CD4 !important;
  border-color: #0C6CD4 !important;
  background: linear-gradient(to left, #0C6CD4 50%, #FFFFFF 50%) right;
  background-size: 202%;
  transition: all 0.5s ease;

}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
  color: #0A56AA !important;
  background-color: #FFFFFF !important;
  border-color: #0C6CD4 !important;
  background-position: left;
}

.dt-buttons .btn-secondary {
  font-family: 'Poppins';
  color: #fff;
  background-color: #0C6CD4;
  border-color: #0C6CD4;
  font-size: 14px;
  font-weight: 500;
}

.capitalize {
  text-transform: capitalize;
}

.dt-buttons .btn-secondary.focus,
.dt-buttons .btn-secondary:hover,
.dt-buttons .btn-secondary:active {
  font-family: 'Poppins';
  font-weight: 600;
  color: #fff;
  background-color: #0A56AA;
  border-color: #0A56AA;
  box-shadow: none;
}

div.dataTables_filter,
div.dataTables_length {
  display: inline-flex;
  margin-left: 1em;
}

div.dataTables_info,
div.dataTables_paginate {
  display: inline-flex;
  margin-left: 1em;
}

div.dataTables_paginate {
  float: right;
}

.dataTables_info {
  font-family: 'Poppins';
  font-size: 14px;
}

.pagination .page-link {
  font-family: 'Poppins';
  font-size: 14px;
}

.no-data-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-top: 30px;
}

.table-no-data-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-top: 15px;
}

.no-data-wrapper img {
  width: 20%;
  padding-bottom: 10px;
}

.table-no-data-wrapper img {
  width: 10%;
  padding-bottom: 10px;
}

.no-data-wrapper .no-data-text {
  font-family: 'Poppins';
  font-size: 18px;
  color: #333333;
  font-weight: 500;
}

.dropdown-menu.show {
  z-index: 9999;
}

.multi-btn {
  display: flex;
  flex-direction: row;
  gap: 4px;
}

.table-action-btns {
  min-width: 100px;
}

.table-action-btns .btn-light {
  background-color: #FFFFFF;
  border: 1px solid #727272;
  color: #333333;
}

.table-action-btns .btn-trash {
  color: #D4100C;
}

.table-action-btns .btn-upload {
  color: #0C6CD4;
}

.highlight {
  background-color: #e2e3e5;
}

.select2-container .select2-selection--single {
  height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 35px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #333333 !important;
  line-height: 38px !important;
  font-family: 'Poppins' !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  font-family: 'Poppins';
  background-color: #0C6CD4;
  color: white;
}

.select2-results__option {
  font-family: 'Poppins' !important;
}

.table-sub-heading {
  font-size: 10px !important;
}

.dashboard-card-wrapper {
  background-color: #EAEEFA;
  border: 1px solid #EAEEFA;
  border-radius: 15px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.dashboard-card-wrapper .dashboard-card-left {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}

.dashboard-card-wrapper .dashboard-card-left .dashboard-card-title {
  font-family: 'Poppins';
  font-size: 28px;
  color: #333333;
  font-weight: 800;
}

.dashboard-card-wrapper .dashboard-card-left .dashboard-card-sub-title {
  font-family: 'Poppins';
  font-size: 20px;
  font-weight: 600;
  color: #727272;
}

.dashboard-card-wrapper .dashboard-card-icon {
  color: #727272;
  font-size: 40px;
  ;
}

.table-col-text-mute {
  display: flex;
  font-family: 'Poppins';
  font-size: 12px;
  color: #727272;
  font-weight: 400;
}

.form-heading {
  font-family: 'Poppins';
  font-weight: 600;
}

legend {
  font-family: 'Poppins';
  font-size: 1rem !important;
  font-weight: 600;
  margin-bottom: 0px !important;
}

.case-title-verses {
  font-family: 'Poppins';
  font-size: 16px;
  padding-top: 20px;
  font-weight: 600;
}

.table_col_wrapper {
  display: flex;
  flex-direction: column;
}

.table_col_sub_text {
  font-family: 'Poppins';
  font-size: 10px;
  font-weight: 400;
}

.table_col_sub_title {
  font-family: 'Poppins';
  font-size: 13px;
  font-weight: 400;
}

.dashboard-cards-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}

.dashboard-cards-header .dashboard-cards-body {
  width: 100%;
  margin-right: 10px;
}

.dashboard-cards-header .dashboard-cards-body:last-child {
  margin-right: 0px;
}

.right-heading {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

.schedule-switcher .btn-primary {
  font-size: 14px;
  border-radius: 0.25rem;
  padding: 3.5px 6px;
}

.schedule-switcher {
  border: 1px solid #ccc;
  padding: 4px;
  border-radius: 0.25rem;
  width: 262px;
}

.schedule-switcher .inactive {
  background-color: #fff !important;
  background: #fff !important;
  color: #CCC;
  border-color: #ccc !important;
}

/* For blinking text starts */

.blinking {
  animation: blinkingText 1.2s infinite;
}

@keyframes blinkingText {
  0% {
    color: #db3737;
  }

  49% {
    color: #db3737;
  }

  60% {
    color: transparent;
  }

  99% {
    color: transparent;
  }

  100% {
    color: #db3737;
  }
}

/* For blinking text ends */

.case-col-wrapper {
  display: flex;
  flex-direction: row;
}

.case-col-title {
  font-family: 'Poppins';
  font-size: 16px;
  font-weight: 500;
  color: grey;
  width: 23%;
}

.case-col-content {
  font-family: 'Poppins';
  font-size: 16px;
  font-weight: 500;
  padding-left: 5px;
}

.invoice_client_address_wrapper {
  display: flex;
  flex-direction: column;
}

.invoice_client_name {
  font-family: 'Poppins';
  font-size: 18px;
  font-weight: 500;
}

.invoice_client_address {
  font-family: 'Poppins';
  font-size: 14px;
  font-weight: 400;
}

.activity-page .activity-wrapper .activity-top-icon {
  top: -20px;
  left: 30px;
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #0C6CD4;
  border-radius: 100px;
}

.activity-page .activity-wrapper .activity-card {
  border-radius: 12px;
  color: #333333;
}

.activity-page .activity-wrapper .activity-card:hover {
  background-color: #f7fafd !important;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.295) !important;
}

.activity-top-icon svg path {
  fill: #FFFFFF;
}

.activity-bottom-line {
  width: 4px;
  height: 75px;
  background-color: #0C6CD4;
  margin-left: 46px;
}

.activity-issuer-name {
  color: #2f85ae;
}

.activity-card-content .header-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 15px;
}

.activity-card-content {
  font-family: 'Poppins';
  font-size: 16px;
  font-weight: 400;
}

.activity-card-content .header-wrapper .header {
  font-family: 'Poppins';
  font-size: 18px;
  font-weight: 600;
}

.activity-card-content .header-wrapper .date {
  font-family: 'Poppins';
  font-size: 14px;
  font-weight: 500;
}

.activity-page .activity-wrapper:last-child .activity-bottom-line {
  display: none;
}

.align-buttons {
  text-align: right;
}

.font-medium {
  font-size: 12px;
}

.invoice-option-wrapper {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.action-items {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.show-on-mobile {
  display: none;
}

/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {}

/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
  .align-buttons .change-case-status {
    margin-bottom: 8px;
  }

  #sidebar {
    min-width: 200px;
    max-width: 200px;
  }

  #content {
    width: calc(100% - 200px);
  }

  .invoice-number {
    font-family: 'Poppins';
    font-weight: 600;
    font-size: 20px;
    color: #333333;
  }

  .case-col-title {
    width: 35%;
  }

  .dashboard-card-wrapper .dashboard-card-icon {
    font-size: 20px;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-title {
    font-size: 22px;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-sub-title {
    font-size: 16px;
  }
}

/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
  .align-buttons {
    text-align: right;
  }

  .align-buttons .right-buttons {
    margin-bottom: 8px;
  }

  .dashboard-cards-header {
    flex-direction: column;
  }

  .intend-right {
    float: left;
  }

  .invoice-number {
    font-family: 'Poppins';
    font-weight: 600;
    font-size: 18px;
    color: #333333;
  }

  .case-col-title {
    width: 35%;
  }

  .dashboard-card-wrapper {
    margin: 0.25rem !important;
  }

  .table-action-btns {
    min-width: 120px;
  }

  legend {
    font-family: 'Poppins';
    font-size: 0.85rem !important;
    margin-bottom: 0px !important;
    font-weight: 600;
  }

  .dashboard-card-wrapper .dashboard-card-icon {
    font-size: 30px;
    ;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-title {
    font-size: 24px;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-sub-title {
    font-size: 18px;
  }

  label {
    font-size: 9px;
  }

  .login-law-illustration>img {
    width: 180px;
  }

  .no-data-wrapper img {
    width: 35%;
    padding-bottom: 10px;
  }

  .table-no-data-wrapper img {
    width: 20%;
    padding-bottom: 10px;
  }

  #sidebar {
    min-width: 80px;
    max-width: 80px;
    text-align: center;
    margin-left: -80px !important;
  }

  .navbar-nav .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
  }

  #sidebar.active {
    margin-left: 0 !important;
  }

  #sidebar .sidebar-header h3,
  #sidebar .sidebar-header img,
  #sidebar .CTAs {
    display: none;
  }

  #sidebar .sidebar-header strong {
    font-family: 'Poppins';
    font-weight: 700;
    font-size: 20px !important;
    display: block;
  }

  #sidebar ul li a {
    padding: 20px 10px;
  }

  #sidebar ul li a span {
    display: none;
  }

  #sidebar ul li a i {
    margin-right: 0;
    display: block;
  }

  #sidebar ul ul a {
    padding: 10px !important;
  }

  #sidebar ul li a i {
    font-size: 1.3em;
  }

  #sidebar {
    margin-left: 0;
  }

  #sidebarCollapse span {
    display: none;
  }

  .show-on-mobile {
    display: flex;
    align-items: flex-start;
    gap: 6px;
  }
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
  .align-buttons {
    text-align: left;
  }

  .dashboard-cards-header {
    flex-direction: column;
  }

  .intend-right {
    float: left;
  }

  .invoice-number {
    font-family: 'Poppins';
    font-weight: 600;
    font-size: 18px;
    color: #333333;
  }

  .case-col-title {
    width: 35%;
  }

  #content {
    width: 100%;
  }

  .login-law-illustration>img {
    width: 130px;
  }

  #sidebar ul li a span {
    display: none;
  }

  legend {
    font-family: 'Poppins';
    font-size: 0.60rem !important;
    margin-bottom: 0px !important;
    font-weight: 600;
  }

  label {
    font-size: 9px;
  }

  .table-action-btns {
    min-width: 120px;
  }

  .dashboard-card-wrapper {
    margin: 0.25rem !important;
  }

  .dashboard-card-wrapper .dashboard-card-icon {
    font-size: 25px;
    ;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-title {
    font-size: 22px;
  }

  .dashboard-card-wrapper .dashboard-card-left .dashboard-card-sub-title {
    font-size: 16px;
  }

  .show-on-mobile {
    display: flex;
    align-items: flex-start;
    gap: 6px;
  }
}